<div class="col h-100">
    <div class="card h-100 shadow-sm " *ngIf="product">

        <div class="image position-relative" style="cursor: pointer;">
            <img src="{{ product.pictureUrl }}" alt="{{ product.name }}" class="img-fluid">
            <div class="d-flex align-items-center justify-content-center hover-overlay">
                <button (click)="addItemToBasket()" class="btn btn-primary me-2">
                    <i class="fa fa-shopping-cart fa-2x"></i>
                </button>
                <button routerLink="/shop/{{product.id}}" class="btn btn-primary">View</button>
            </div>
        </div>

        <div class="card-body d-flex flex-column">
            <a href="" class="text-decoration-none">
                <h5 class="text-uppercase">
                    {{product.name}}
                </h5>
            </a>
            <span class="mb-2">{{product.price | currency}}</span>
        </div>
    </div>
</div>
